All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::Pair< K, V > Struct Template Reference

A simple pair type for CUDA device usage. More...

## Public Member Functions

constexpr __device__ | Pair (K key, V value)
__device__ bool | operator== (const Pair< K, V > &rhs) const
__device__ bool | operator!= (const Pair< K, V > &rhs) const
__device__ bool | operator< (const Pair< K, V > &rhs) const
__device__ bool | operator> (const Pair< K, V > &rhs) const

## Public Attributes

K | k
V | v

## Detailed Description

### template<typename K, typename V>
struct faiss::gpu::Pair< K, V >

A simple pair type for CUDA device usage.

Definition at line 22 of file Pair.cuh.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/Pair.cuh